@ECHO OFF&PUSHD %~DP0 &TITLE 绿化
color 2f
taskkill /f /im QQ*  >NUL 2>NUL
taskkill /f /im TXP* >NUL 2>NUL
rd/s/q "%AppData%\Tencent\QQ" 2>NUL
rd/s/q "%AppData%\Tencent\Logs"2>NUL
rd/s/q "%AppData%\Tencent\TXSSO"2>NUL
rd/s/q "%AppData%\Tencent\Users"2>NUL
rd/s/q "%AppData%\Tencent\Tencentdl"2>NUL
del/q "%tmp%\*.tvl">NUL 2>NUL&del/q "%tmp%\*.tsd">NUL 2>NUL
del/q "%tmp%\ts*.dat">NUL 2>NUL&del/q "%tmp%\QQSafe*.exe">NUL 2>NUL
if exist Bin\Timwp.dll regsvr32  /s Bin\Timwp.dll
if exist Bin\AppCom.dll regsvr32 /s Bin\AppCom.dll
if exist Bin\CPHelper.dll regsvr32 /s Bin\CPHelper.dll
if exist Bin\TXPFProxy.dll regsvr32 /s Bin\TXPFProxy.dll
if exist Bin\KernelUtil.dll regsvr32 /s Bin\KernelUtil.dll
if exist Bin\TXPlatform.exe Bin\TXPlatform.exe /RegServe
regsvr32 /s Plugin\Com.Tencent.NetDisk\Bin\QQDisk\Bin\TXFTNActiveX.dll
start /wait TXSSOSetup.exe /S
msg  %username% /time:10  绿化完成！感谢使用
exit